List API Tools
curl --request GET \
--url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/api-tools \
--header 'apikey: <api-key>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/api-tools"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/api-tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"_id": "myapp_my-api-tool",
"appId": "my-app-id",
"slug": "my-api-tool",
"name": "My API Tool",
"description": "Calls an external API",
"icon": "https://example.com/icon.png",
"endpoint": "https://api.example.com/search",
"method": "GET",
"enableBasicAuth": false,
"headers": "{\"Content-Type\":\"application/json\"}",
"bodyTemplate": "{\"query\":\"{{query}}\"}",
"allowAdditionalProperties": false,
"parameters": [
{
"key": "query",
"type": "string",
"description": "The search query",
"required": true
}
],
"tool": {
"name": "my-api-tool",
"description": "Calls an external API",
"parameters": {
"type": "object",
"properties": {},
"required": []
}
},
"createdAt": 1700000000000,
"updatedAt": 1700000000000
}
],
"meta": {
"previous": {
"affix": "prepend",
"createdAt": 1700000000000
},
"current": {
"limit": 10,
"count": 1
},
"next": {
"affix": "append",
"createdAt": 1700000000000
}
}
}Custom API Tools
List API Tools
Retrieves a paginated list of API tools for the application. Use this endpoint to browse and manage custom API tool configurations.
GET
/
ai-agents
/
agent-builder
/
api-tools
List API Tools
For the complete error reference, see Error Guide.
Authorizations
API Key (i.e. Rest API Key from the Dashboard).
Query Parameters
Maximum number of results to return per page.
To paginate over results, use the value of affix as prepend or append.
Available options:
prepend, append To be used with affix for pagination.
Was this page helpful?
⌘I